## org.omg.DynamicAny
Class DynStructHelper

    java.lang.Object
      |
      +--org.omg.DynamicAny.DynStructHelper

public class DynStructHelper
extends java.lang.Object

Helper class for : DynStruct

Author:
  OpenORB Compiler

Constructor Summary
`DynStructHelper()`

Method Summary
`static DynStruct` `extract(Any a)` Extract DynStruct from an any
`static java.lang.String` `id()` Return the DynStruct IDL ID
`static void` `insert(Any a, DynStruct t)` Insert DynStruct into an any
`static DynStruct` `narrow(Object obj)` Narrow CORBA::Object to DynStruct
`static DynStruct` `read(InputStream istream)` Read DynStruct from a marshalled stream
`static TypeCode` `type()` Return the DynStruct TypeCode
`static DynStruct` `unchecked_narrow(Object obj)` Unchecked Narrow CORBA::Object to DynStruct
`static void` `write(OutputStream ostream, DynStruct value)` Write DynStruct into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DynStructHelper

    public DynStructHelper()

Method Detail

### insert

    public static void insert(Any a,
                              DynStruct t)

  Insert DynStruct into an any
  Parameters:
    `a` - an any
    `t` - DynStruct value

### extract

    public static DynStruct extract(Any a)

  Extract DynStruct from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted DynStruct value

### type

    public static TypeCode type()

  Return the DynStruct TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the DynStruct IDL ID
  Returns:
    an ID

### read

    public static DynStruct read(InputStream istream)

  Read DynStruct from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed DynStruct value

### write

    public static void write(OutputStream ostream,
                             DynStruct value)

  Write DynStruct into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - DynStruct value

### narrow

    public static DynStruct narrow(Object obj)

  Narrow CORBA::Object to DynStruct
  Parameters:
    `obj` - the CORBA Object
  Returns:
    DynStruct Object

### unchecked_narrow

    public static DynStruct unchecked_narrow(Object obj)

  Unchecked Narrow CORBA::Object to DynStruct
  Parameters:
    `obj` - the CORBA Object
  Returns:
    DynStruct Object